/* 
 * Test class to practice mouse inputs. 
 */  

import java.awt.*;  
import javax.swing.*;  
import java.awt.event.*;  
import java.awt.image.*;
import javax.imageio.ImageIO;
public class Collision extends JApplet implements MouseListener   
{  
    int x=0;  
    int y=0;      
    BufferedImage img; 
    int imgX=200;
    int imgY=100;
    public void init()  
    {  
        Container screen = getContentPane();
        screen.setBackground(Color.yellow);
        addMouseListener(this);  
    }  

    public void paint (Graphics g)  
    {  
        super.paint(g);
        try
        {
         img = ImageIO.read(getClass().getResource("shamrock.png"));  
        }
        catch (Exception e){}
        g.drawImage(img, imgX, imgY, this);  
    }  

    public void mousePressed(MouseEvent e)   
    {          

    }  

    public void mouseReleased(MouseEvent e)   
    {          

    }  

    public void mouseEntered(MouseEvent e)   
    {          

    }  

    public void mouseExited(MouseEvent e)   
    {          

    }  

    public void mouseClicked(MouseEvent e)   
    {  
        // MouseEvent e is the variable, which we can get  
        // the coordinates of where the mouse is, by   
        // using the methods e.getX(); or e.getY();  
        x=e.getX();  
        y=e.getY();
        
        int color = img.getRGB(x-imgX, y-imgY);
        int alpha = (color>>24) & 0xff;
        
        getGraphics().drawString("col"+alpha,x,y);
          
    }  

}  